Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
tlp::OpenGlConfigManager Class Reference

Singleton used to manage OpenGl configuration. More...

`#include <OpenGlConfigManager.h>`

Collaboration diagram for tlp::OpenGlConfigManager:
[legend]

List of all members.

## Public Member Functions

- OpenGlErrorViewer * setErrorViewer (OpenGlErrorViewer *errorViewer)
- void checkDrivers ()
- void initGlew ()
- bool glewIsInit ()
- bool canUseGlew ()
- void setAntiAliasing (const bool antialiasing)
- void activateLineAndPointAntiAliasing ()
- void desactivateLineAndPointAntiAliasing ()
- void activatePolygonAntiAliasing ()
- void desactivatePolygonAntiAliasing ()

## Static Public Member Functions

- static OpenGlConfigManager & getInst ()

## Detailed Description

Singleton used to manage OpenGl configuration.

Singleton used to manage OpenGl configuration

## Member Function Documentation

void tlp::OpenGlConfigManager::activateLineAndPointAntiAliasing | ( |  | ) |

void tlp::OpenGlConfigManager::activatePolygonAntiAliasing | ( |  | ) |

bool tlp::OpenGlConfigManager::canUseGlew | ( |  | ) | `[inline]`

Return if glew can be used

void tlp::OpenGlConfigManager::checkDrivers | ( |  | ) |

Check if system has good graphics card drivers

void tlp::OpenGlConfigManager::desactivateLineAndPointAntiAliasing | ( |  | ) |

void tlp::OpenGlConfigManager::desactivatePolygonAntiAliasing | ( |  | ) |

static OpenGlConfigManager& tlp::OpenGlConfigManager::getInst | ( |  | ) | `[inline, static]`

Return the current instance. If instance doesn't exist, create it.

bool tlp::OpenGlConfigManager::glewIsInit | ( |  | ) | `[inline]`

Glew is init

void tlp::OpenGlConfigManager::initGlew | ( |  | ) |

Init Glew

void tlp::OpenGlConfigManager::setAntiAliasing | ( | const bool | antialiasing | ) | `[inline]`

OpenGlErrorViewer* tlp::OpenGlConfigManager::setErrorViewer | ( | OpenGlErrorViewer * | errorViewer | ) |

Change the error viewer and return the old one

Tulip Software by LaBRI Visualization Team 2001 - 2012